/*
 * actuators.h
 *
 *  Created on: Sep 28, 2013
 *      Author: jgnoss
 */

#ifndef ACTUATORS_H_
#define ACTUATORS_H_

#include <avr/io.h>

#define Lamp_TOP_DDR	DDRC
#define Lamp_TOP_PORT	PORTC
#define Lamp_TOP_GPIO	4
#define Lamp_TOP_PIN	PIN4

#define Lamp_TOP_ON()	(Lamp_TOP_PORT |=  (1 << Lamp_TOP_GPIO))
#define Lamp_TOP_OFF()	(Lamp_TOP_PORT &= ~(1 << Lamp_TOP_GPIO))
#define Lamp_TOP_TOG()	(Lamp_TOP_PORT ^=  (1 << Lamp_TOP_GPIO))
#define Lamp_TOP()		(Lamp_TOP_PORT &   (1 << Lamp_TOP_GPIO))

#define Lamp_BOT_DDR	DDRC
#define Lamp_BOT_PORT	PORTC
#define Lamp_BOT_GPIO	5
#define Lamp_BOT_PIN	PIN5

#define Lamp_BOT_ON()	(Lamp_BOT_PORT |=  (1 << Lamp_BOT_GPIO))
#define Lamp_BOT_OFF()	(Lamp_BOT_PORT &= ~(1 << Lamp_BOT_GPIO))
#define Lamp_BOT_TOG()	(Lamp_BOT_PORT ^=  (1 << Lamp_BOT_GPIO))
#define Lamp_BOT()		(Lamp_BOT_PORT &   (1 << Lamp_BOT_GPIO))


void init_Actuators(void);

#endif /* ACTUATORS_H_ */
