/*
 * p_Globals.h
 *
 *  Created on: Feb 2, 2013
 *      Author: jgnoss
 */

#ifndef P_GLOBALS_H_
#define P_GLOBALS_H_

#include <stdint.h>

#ifndef FALSE
#define FALSE	0
#endif

#ifndef TRUE
#define TRUE	1
#endif

#ifndef OFF
#define OFF		0
#endif

#ifndef ON
#define ON		1
#endif


typedef enum {
	lt_Bottom,
	lt_Top,
	lt_Both,
} ilum_Type_t;

typedef struct {
	uint8_t updateLCD;
	uint8_t call_UpdateLCD;
	uint8_t isCounting;
	ilum_Type_t actLamp;
	uint32_t actSec;
	uint32_t progSec;
	uint32_t sysSec;
} systemData_t;


extern volatile systemData_t systemData;


#endif /* P_GLOBALS_H_ */
